
/* RCS Information:
 *
 * $Id$
 * $Revision$
 * $Date$
 * $Author$
 * $Locker$
 * 
 */

/******************************************************************************
 *
 *  Copyright (C) 2002, Bill Pierce
 *  This file is part of the hbaapiutils library.
 *
 *  The hbaapiutils library is free software; you can 
 *  redistribute it and/or modify it under the terms of the 
 *  GNU Library General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  The hbaapiutils library is distributed in the hope that 
 *  it will be useful, but WITHOUT ANY WARRANTY; without even 
 *  the implied warranty of MERCHANTABILITY or FITNESS FOR A 
 *  PARTICULAR PURPOSE.  See the GNU Library General Public 
 *  License for more details.
 *
 *  You should have received a copy of the GNU Library General Public License
 *  along with the timeout action libary; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *  Bill Pierce can be contacted at:
 *  7862 NE 148th St.
 *  Kenmore, WA 98028
 *
 * Name -- hbaapiutils.h 
 *
 * Purpose -- header file to describe the library routines of
 *            hbaapiutils.c  These routines assist in the 
 *            development of applications that use the  
 *            functionality provided by the SNIA HBA API. 
 *
 * Remarks --  
 *
 * Known bugs --  
 *
 * Supported Platforms -- Windows NT, 2000, UNIX flavors. Shold be portable.
 *
 * Applicable Invariants -- 
 * 
 * Language Version --  Standard C  
 *
 * Author --  Bill Pierce 
 *
 * Origination Date -- 8-21-01
 * 
 *****************************************************************************/

#include "hbaapi.h"

/*****************************************************************************
 *
 * Header file for hbaapiutils library of fucntions for making
 * it easier to work with the HBA api.
 *
 *****************************************************************************/

/* Given an HBA_STATUS variable, return a string representation of it. */
char *StatusToStr(HBA_STATUS Status);

/* Given a pointer to a WWN, write a uniform format string representation
 * of it to pWWNAsString.
 */
void WWNToStr(PHBA_WWN pWWN, char *pWWNAsString);

/* Given a pointer to a wwn string, presumably in WWN uniform format,
 * write its value to pWWN.  Return 1 on success, 0 on failure.
 */
int StrToWWN(char *pWWNAsString, PHBA_WWN pWWN);

/* Determine whether the string pointed to by pWWNAsString is a uniform
 * format WWN.  Return 1 for yes, 0 for no. 
 */
int IsAValidWWN(char *pWWNAsString);

/* Convert a LUN from an integer value into an HBA_UINT64.
 * Read the value from lun64 and write it to p_lun_as_int.
 * Return 1 if the operation succeeds, 0 if not.
 */
int Lun64ToInt(HBA_UINT64 lun64, int* p_lun_as_int);

/* Convert a LUN from an HBA_UINT64 value into an integer.
 * Read the value from lun_as_int and write to p_lun64.
 * Return 1 if the operation succeeds, 0 if not.
 */ 
int IntToLun64(int lun_as_int, HBA_UINT64* p_lun64);

/*****************************************************************************
 *
 *   $Log: $
 *
 *****************************************************************************/

